Subject: bug#19894: 25.0.50; void-function eieio-constructor

From: Kaushal <[email-masked]>
Date: Wed, 18 Feb 2015 20:57:00 +0000

Thank you!

I found the eieio-constructor references in the .elc files.
I deleted the packages containing those references and reinstalled using
the package manager.
That fixed this problem.

Packages reinstalled: gh, pcache, marshal, logito

On Wed Feb 18 2015 at 2:37:21 PM Stefan Monnier <[email-masked]>
wrote:

> Do a "make bootstrap".  If that's not enough, grep for
> "eieio-constructor" in your *.elc files (yes: el*C*) and recompile those.
>
>
>         Stefan
>
>
> >>>>> "Kaushal" == Kaushal  <[email-masked]> writes:
>
> > Hi,
> > I built emacs from git (commit
> > http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=
> 81d89d88aef5de720e7fbeecbfb295d6eaf6fd37
> > ) and it runs fine except that it broke compatibility with a 3rd party
> > package on Melpa called gist ( https://github.com/defunkt/gist.el ).
>
> > I grepped for "eieio-constructor" in the package install directory but I
> > found nothing.
>
> > So probably some internal call to that ex-function is causing this error.
>
> > I get this on enabling `debug-on-error':
>
> > Debugger entered--Lisp error: (void-function eieio-constructor)
> >   eieio-constructor(gh-gist-api "api" :sync nil :cache t :num-retries 1)
> >   apply(eieio-constructor gh-gist-api ("api" :sync nil :cache t
> > :num-retries 1))
> >   gh-gist-api("api" :sync nil :cache t :num-retries 1)
> >   gist-get-api(nil)
> >   gist-list(nil)
> >   funcall-interactively(gist-list nil)
> >   #<subr call-interactively>(gist-list record nil)
> >   ad-Advice-call-interactively(#<subr call-interactively> gist-list
> record
> > nil)
> >   apply(ad-Advice-call-interactively #<subr call-interactively>
> (gist-list
> > record nil))
> >   call-interactively(gist-list record nil)
> >   command-execute(gist-list record)
> >   execute-extended-command(nil "gist-list")
> >   smex-read-and-run(("gist-list" "customize" "gist-buffer" "sml/setup"
> > "git-gutter+-commit" "git-gutter+-mode" "guide-key-mode" "sos-sel"
> > "list-packages" "count-words-region" "sos-diff" "zenburn"
> > "sos-discardco-force" "leuven" "kmacro-insert-counter"
> > "paradox-list-packages" "reload-init" "sos-up" "smyx" "modi-mode"
> > "edebug-defun" "global-unset-key" "sos-co-nolock" "unbind-from-modi-map"
> > "mc/insert-numbers" "modi/set-linum" "bzg-big-fringe-mode"
> > "mc--insert-number-and-increase" "modi/outshine-table-of-contents"
> > "fci-mode" "sos-discardco" "browse-url-firefox" "ggtags-update-tags"
> > "describe-personal-keybindings" "load-file" "ediff-buffers"
> > "toggle-truncate-lines" "revert-all-buffers" "calc" "sx-tab-newest"
> > "customize-face" "shell-script-mode" "query-exchange" "number/add"
> > "matlab-shell" "verilog-mode" "package-list-packages" "ag"
> "describe-char"
> > "emacs-lisp-mode" ...))
> >   smex()
> >   funcall-interactively(smex)
> >   #<subr call-interactively>(smex nil nil)
> >   ad-Advice-call-interactively(#<subr call-interactively> smex nil nil)
> >   apply(ad-Advice-call-interactively #<subr call-interactively> (smex
> nil
> > nil))
> >   call-interactively(smex nil nil)
> >   command-execute(smex)
>
>
> > Emacs version: GNU Emacs 25.0.50.10 (x86_64-unknown-linux-gnu, GTK+
> Version
> > 2.10.4) of 2015-02-18
>